### Method

# Gtk TreeView set_reorderable

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_set_reorderable (
      GtkTreeView* tree_view,
      gboolean reorderable
    )

#### Description [src]

This function is a convenience function to allow you to reorder models that support the `GtkTreeDragSourceIface` and the `GtkTreeDragDestIface`. Both `GtkTreeStore` and `GtkListStore` support these. If `reorderable` is `TRUE`, then the user can reorder the model by dragging and dropping rows. The developer can listen to these changes by connecting to the model’s `GtkTreeModel::row-inserted` and `GtkTreeModel::row-deleted` signals. The reordering is implemented by setting up the tree view as a drag source and destination. Therefore, drag and drop can not be used in a reorderable view for any other purpose.

This function does not give you any degree of control over the order — any reordering is allowed. If more control is needed, you should probably handle drag and drop manually.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

Sets property | `Gtk.TreeView:reorderable`

#### Parameters

`reorderable`

  Type: `gboolean`

  `TRUE`, if the tree can be reordered.